Try this:
The values for x, y scales and rotation should be a number, not a string (Number: 1 or string: "1")
The point should be a list and not a string.
- Replaced your El_mm line to keep it as a number (worth doing a check if this value comes from another LISP that it is a number)
- 2 different options to calculate the point, P_fixed, the second half of the mapacar line is a good example how to set elevation to 0 (mapcar '* '(1 1 0) P))
- Insert as described above
(defun c:test ( / )
(setq P (getpoint "Pick Point: \n")) ;; pick point
(setq El_mm 105100) ;; New Elevation
(setq P_fixed (mapcar '+ (list 0 0 El_mm) (mapcar '* '(1 1 0) P))) ;;Point at elevation
;;or
(setq P_fixed (list (car p) (cadr pt) EL_mm)) ;;Point at elevation
(command "-insert" "C:\\Myblock\\RBlock.dwg" P_fixed 1 1 0)
)